Bug 710253 - RunAs group is not displayed in output while adding as sudorule-add-runasuser with --groups swtich.
Summary: RunAs group is not displayed in output while adding as sudorule-add-runasuser...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-02 19:53 UTC by Gowrishankar Rajaiyan
Modified: 2015-01-04 23:49 UTC (History)
3 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: When adding a runasuser and defining a group the value is not included in output. Consequence: The command seems successful but the added data is not in the output. Fix: The label for the returned data was mislabled so was not appearing in the command-line. Result: Adding a group to runasuser is properly displayed.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:23:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Gowrishankar Rajaiyan 2011-06-02 19:53:16 UTC
Description of problem:


Version-Release number of selected component (if applicable):
ipa-server-2.0.0-23.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. # ipa sudorule-add-runasuser sudorule1 --users=test1
  Rule name: sudorule1
  Enabled: TRUE
  Sudo Deny Commands: /bin/ls
  RunAs External User: test, test1
-------------------------
Number of members added 1
-------------------------

Observe that test1 user is displayed in the output when added. 

2. # ipa sudorule-add-runasuser sudorule1  --groups=group1
  Rule name: sudorule1
  Enabled: TRUE
  Sudo Deny Commands: /bin/ls
-------------------------
Number of members added 1
-------------------------
  
Actual results:
RunAs group is not displayed.

Expected results:
"RunAs Group: group1" should be displayed.

Sample output:
# ipa sudorule-add-runasuser sudorule1  --groups=group1
  Rule name: sudorule1
  Enabled: TRUE
  Sudo Deny Commands: /bin/ls
  RunAs Group: group1
-------------------------
Number of members added 1
-------------------------

Additional info:

Comment 2 Dmitri Pal 2011-06-02 20:55:20 UTC
https://fedorahosted.org/freeipa/ticket/1278

Comment 3 Rob Crittenden 2011-07-19 02:25:09 UTC
Fixed in patch in ticket 1326

master: d49bf3871bd4471d73ac06b871ae509bc340a544

ipa-2-0: 533c11ead972350e9597b3882c5e1819b33706ca

Comment 5 Rob Crittenden 2011-10-31 19:28:31 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: When adding a runasuser and defining a group the value is not included in output.
Consequence: The command seems successful but the added data is not in the output.
Fix: The label for the returned data was mislabled so was not appearing in the command-line.
Result: Adding a group to runasuser is properly displayed.

Comment 6 Gowrishankar Rajaiyan 2011-11-02 06:06:26 UTC
:: [   PASS   ] :: Running 'ipa sudorule-add rule1'
:: [   PASS   ] :: Running 'ipa sudorule-add-runasuser rule1 --groups=sudogrp1,sudogrp2 > /tmp/tmp.jHjyYyUOzz/sudorule-add-runasuser_003.txt 2>&1'
:: [   PASS   ] :: File '/tmp/tmp.jHjyYyUOzz/sudorule-add-runasuser_003.txt' should contain 'Rule name: rule1'
:: [11:45:20] ::  Verifying bug https://bugzilla.redhat.com/show_bug.cgi?id=710253
:: [   PASS   ] :: File '/tmp/tmp.jHjyYyUOzz/sudorule-add-runasuser_003.txt' should contain 'Groups of RunAs Users: sudogrp1, sudogrp2'
:: [   PASS   ] :: File '/tmp/tmp.jHjyYyUOzz/sudorule-add-runasuser_003.txt' should contain 'Number of members added 2'
  Rule name: rule1
  Enabled: TRUE
  Groups of RunAs Users: sudogrp1, sudogrp2
-------------------------
Number of members added 2
-------------------------


Verified. Version: ipa-server-2.1.3-7.el6.x86_64

Comment 7 errata-xmlrpc 2011-12-06 18:23:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.